-- Database for Rune Use
-- coding: utf-8 'ä
ERC = 235 -- rune category
Tname = { U="Uncommon", R="Rare", I="Incomparable", L="Legendary" }
Enr = { U=1, R=2, I=3, L=4 } --# of enh
Et = {'U','R','I','L'}
-- Enhancement limits by reforge level
Enh = { [45]=52, [56]=60, [61]=65, [66]=70, [71]=75, [76]=100,
        [81]=129, [86]=155, [91]=175, [96]=190, [100]=200,
        [101]=215, [105]=250, [106]=315, [111]=349, [116]=365,
        [120]=399, [121]=415, [126]=449, [131]=465, [136]=499,
        [141]=515,
    }
Slots = { [56]='2p', [71]='2m', [91]='1p', [100]='2m',
        [105]='2m', [111]='2c', [120]='2m', [126]='2p' }
Tnamw = { p="Power", m="Mastery", c="Craft" }
Rune = {
    ["5BE03"] = {l=45, t='U'}, -- ml=45
    ["5BE02"] = {l=45, t='R'},
    ["5BE04"] = {l=45, t='I'},
    ["5BE01"] = {l=45, t='L'},
    ["5BE16"] = {l=86, t='U'},
    ["5BE1A"] = {l=86, t='R'},
    ["5BE19"] = {l=86, t='I'},
    ["5BE06"] = {l=86, t='L'},
    ["5BE08"] = {l=101, t='U'},
    ["5BE12"] = {l=101, t='R'},
    ["5BE05"] = {l=101, t='I'},
    ["5BE14"] = {l=101, t='L'},
    ["5BE0B"] = {l=106, t='U'},
    ["5BE18"] = {l=106, t='R'},
    ["5BE0A"] = {l=106, t='I'},
    ["5BE1C"] = {l=106, t='L'},
    ["5BE1B"] = {l=116, t='U'},
    ["5BE0F"] = {l=116, t='R'},
    ["5BE15"] = {l=116, t='I'},
    ["5BE11"] = {l=116, t='L'},
    ["5BE17"] = {l=121, t='U'},
    ["5BE0D"] = {l=121, t='R'},
    ["5BE13"] = {l=121, t='I'},
    ["5BE10"] = {l=121, t='L'},
    ["5BE0E"] = {l=131, t='U'},
    ["5BE07"] = {l=131, t='R'},
    ["5BE0C"] = {l=131, t='I'},
    ["5BE09"] = {l=131, t='L'},
    ["618A6"] = {l=141, t='U'},
    ["618A5"] = {l=141, t='R'},
    ["618A3"] = {l=141, t='I'},
    ["618A4"] = {l=141, t='L'},
    }
Chest = { ["692D7"] = 'U', ["692E5"] = 'R', ["692E1"] = 'I', ["692DB"] = 'L' }
EnhL = {[45]=125,[86]=200,[101]=250,[106]=349,[116]=399,[121]=449,[131]=499,[141]=549} --Enh limit
Rel = {[45]=115,[86]=175,[101]=240,[106]=340,[116]=390,[121]=440,[131]=490,[141]=549} --
Rem = {[45]=70, [86]=150,[101]=210,[106]=310,[116]=360,[121]=410,[131]=460,[141]=500} --Max
Rix = {}
for id,t in pairs(Rune) do
    local l = t.l
    if not Rix[l] then Rix[l] = {} end
    Rix[l][t.t] = id
end
